---
- name: "create kernel log file"
  file:
    path: "{{ OS.mikbill.dirs.logs }}"
    state: touch
    owner: mikbill
    group: mikbill
    mode: u=rw,g=r,o=r

- name: "create mbkernel_shell_log"
  file:
    path: "/var/log/mbkernel_shell_log.txt"
    state: touch
    owner: mikbill
    group: mikbill
    mode: u=rw,g=r,o=r

- name: "create mbkernel_shell_error_log"
  file:
    path: "/var/log/mbkernel_shell_error_log.txt"
    state: touch
    owner: mikbill
    group: mikbill
    mode: u=rw,g=r,o=r

- name: "change kernel owner"
  file:
    path: "{{ OS.mikbill.dirs.www }}/admin/app/lib/mikbill.php"
    owner: mikbill
    group: mikbill
    mode: u=rw,g=r,o=r

- name: "create admin main log file"
  file:
    path: "{{ OS.mikbill.dirs.admin_main }}"
    state: touch
    owner: "{{ OS.fpm.config.pool.user }}"
    group: "{{ OS.fpm.config.pool.user }}"
    mode: u=rw,g=r,o=r

- name: "create admin debug log file"
  file:
    path: "{{ OS.mikbill.dirs.admin_debug }}"
    state: touch
    owner: "{{ OS.fpm.config.pool.user }}"
    group: "{{ OS.fpm.config.pool.user }}"
    mode: u=rw,g=r,o=r

- name: "create stat main log file"
  file:
    path: "{{ OS.mikbill.dirs.stat_main }}"
    state: touch
    owner: "{{ OS.fpm.config.pool.user }}"
    group: "{{ OS.fpm.config.pool.user }}"
    mode: u=rw,g=r,o=r
